<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Bettie Page: Unbound</Series>
  <Number>010</Number>
  <Web>https://www.comixology.com/Bettie-Page-Unbound-10/digital-comic/823262</Web>
  <Summary>The Duplanoids stand ready to take over the planet, and only one lone pinup-model-turned-spy can stop them! The Invasion of the Bettie Snatchers reaches its senses-shattering climax in BETTIE PAGE UNBOUND #10, from writer David Avallone (DRAWING BLOOD/ELVIRA: MISTRESS OF THE DARK) and artist Julius Ohta (SHERLOCK HOLMES.)</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB823262]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Action/Adventure, Science Fiction</Genre>
  <PageCount>29</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
